import express from "express";
import { readFileSync } from 'fs';
import { parseBuildings, parseSchedules,
         findByName, findBuildingsByPosition,
         findByFriend, findByTime, findFriendsByPosition,
        } from "./routes.js";

// Parse the information about the buildings.
const buildings_content = readFileSync("data/campus_buildings.csv", {encoding: 'utf-8'});
parseBuildings(buildings_content.replace(/\r/g, "").split("\n"));

// Parse the information about the schedules.
const schedules_content = readFileSync("data/campus_schedules.csv", {encoding: 'utf-8'});
parseSchedules(schedules_content.replace(/\r/g, "").split("\n"));

// Configure and start the HTTP server.
const port = 8080;
const app = express();
app.use(express.static('public'));
app.get("/findByName", findByName);
app.get("/findBuildingsByPosition", findBuildingsByPosition);
app.get("/findByFriend", findByFriend);
app.get("/findByTime", findByTime);
app.get("/findFriendsByPosition", findFriendsByPosition);
app.listen(port, () => console.log(`Server listening on ${port}`));
